Subject: Re: [PATCH] netfilter: use krealloc() in nf_conntrack_extend.c V2

From: Pekka Enberg <[email-masked]>
Date: Thu, 22 May 2008 22:07:11 +0300

Patrick McHardy wrote:
> Unfortunately this means we'll always have to reallocate, even
> if there's still some room left from the previous allocation.
> Any chance to avoid that?

No, no, krealloc() avoids reallocation if there's enough room in the 
buffer to fit newlen.